<template>
  <v-container
    fluid
  >
    <v-row justify="center">
      <v-col
        cols="12"
        md="12"
      >
        <material-card
          color="primary"
        >
          <v-form>
            <v-container class="py-0">
              <v-row>
                <v-col
                  cols="12"
                  md="6"
                  class="text-left"
                >
                  <v-btn
                    color="secondary"
                    min-width="150"
                    @click="goBack"
                  >
                    back
                  </v-btn>
                </v-col>
                <v-col
                  cols="12"
                  md="6"
                  class="text-right"
                >
                  <v-btn
                    color="primary"
                    min-width="150"
                    @click="sendRequest"
                  >
                    Approve
                  </v-btn>
                </v-col>
              </v-row>
            </v-container>
          </v-form>
        </material-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>

  export default {
    name: 'PurchaseLoanView',
    mounted: function () {
      // 读取到访问的时候需要的id 或者其他数据
      // console.log(this.$route.params.id)
      // 发送请求修改example,进而修改
    },
    methods: {
      goBack: function () {
        // console.log(this.$router.go)
        this.$router.go(-1)
        // console.log(1)
        // console.log(this.$router)
      },
      sendRequest: function () {
        console.log('A request is send!')
        this.$emit('approve') // 触发一个emit事件。
        // this.$router.go(-1)
      },
    },
  }
</script>
